//
//  MyRobotsTestViewController.h
//  MyRobotsAPITest
//
// Written by John Keogh of Upsoni, LLC for demo purposes and released
// into the public domain.  No warrantee or guarantee of any type is
// associated with this code.  Use at you own risk.
//

#import <UIKit/UIKit.h>

const static NSString *kAPIKey = @"[Your API Key]";
const static NSString *kRobotId = @"[Your Robot ID]";

//there are 8 fields that can be updated and a status can also be sent
//see http://www.myrobots.com/wiki/API for documentation
const static NSString *kRobotUpdateURLFormat =@"http://bots.myrobots.com/update?key=%@&field1=%@";
//the %@ after channels is the robot id and the key is needed if the robot is not public.
//see http://www.myrobots.com/wiki/API for documentation
const static NSString *kRobotRetrieveURLFormat =@"http://bots.myrobots.com/channels/%@/feed.json?key=%@";

@interface MyRobotsTestViewController : UIViewController

@property IBOutlet UILabel *retrievedValueLabel;
@property IBOutlet UITextField *valueToSendTextField;

-(IBAction)sendValue:(id)sender;
-(IBAction)retrieveValue:(id)sender;

@end
